package com.fs.qw.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fs.common.utils.DateUtils;
import com.fs.qw.domain.QwIpadServer;
import com.fs.qw.mapper.QwIpadServerMapper;
import com.fs.qw.service.IQwIpadServerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * ipad服务器Service业务层处理
 *
 * @author fs
 * @date 2025-04-29
 */
@Service
public class QwIpadServerServiceImpl extends ServiceImpl<QwIpadServerMapper, QwIpadServer> implements IQwIpadServerService {
@Autowired
private QwIpadServerMapper qwIpadServerMapper;
    /**
     * 查询ipad服务器
     *
     * @param id ipad服务器主键
     * @return ipad服务器
     */
    @Override
    public QwIpadServer selectQwIpadServerById(Long id)
    {
        return baseMapper.selectQwIpadServerById(id);
    }

    /**
     * 查询ipad服务器列表
     *
     * @param qwIpadServer ipad服务器
     * @return ipad服务器
     */
    @Override
    public List<QwIpadServer> selectQwIpadServerList(QwIpadServer qwIpadServer)
    {
        return baseMapper.selectQwIpadServerList(qwIpadServer);
    }

    /**
     * 新增ipad服务器
     *
     * @param qwIpadServer ipad服务器
     * @return 结果
     */
    @Override
    public int insertQwIpadServer(QwIpadServer qwIpadServer)
    {
        qwIpadServer.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertQwIpadServer(qwIpadServer);
    }

    /**
     * 修改ipad服务器
     *
     * @param qwIpadServer ipad服务器
     * @return 结果
     */
    @Override
    public int updateQwIpadServer(QwIpadServer qwIpadServer)
    {
        qwIpadServer.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateQwIpadServer(qwIpadServer);
    }

    /**
     * 批量删除ipad服务器
     *
     * @param ids 需要删除的ipad服务器主键
     * @return 结果
     */
    @Override
    public int deleteQwIpadServerByIds(Long[] ids)
    {
        return baseMapper.deleteQwIpadServerByIds(ids);
    }

    /**
     * 删除ipad服务器信息
     *
     * @param id ipad服务器主键
     * @return 结果
     */
    @Override
    public int deleteQwIpadServerById(Long id)
    {
        return baseMapper.deleteQwIpadServerById(id);
    }

    @Override
    public Long selectQwIpadServerByAddressId(String addressId) {
        return qwIpadServerMapper.selectQwIpadServerByAddressId(addressId);
    }

    @Override
    public void subtractServer(Long serverId) {
        qwIpadServerMapper.subtractServer(serverId);
    }

    @Override
    public void addServer(Long serverId) {
        qwIpadServerMapper.addServer(serverId);
    }

    @Override
    public Long selectQwIpadServerByOtherAddressId() {
        return  qwIpadServerMapper.selectQwIpadServerByOtherAddressId();
    }
}
